Bug 22261 - Revise style of DataTables menus
Summary: Revise style of DataTables menus
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22015
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-01 16:46 UTC by Owen Leonard
Modified: 2019-02-26 10:00 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Animated gif showing the proposed style update (735.46 KB, image/gif)
2019-02-01 16:46 UTC, Owen Leonard
Details
Bug 22261: Revise style of DataTables menus (4.57 KB, patch)
2019-02-04 19:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22261: Revise style of DataTables menus (4.66 KB, patch)
2019-02-07 18:00 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22261: Revise style of DataTables menus (4.73 KB, patch)
2019-02-08 19:39 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22261: Revise style of DataTables menus (4.80 KB, patch)
2019-02-09 19:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-02-01 16:46:29 UTC
Created attachment 84636 [details]
Animated gif showing the proposed style update

Prompted by the fact that I find the on/off state of columns configuration buttons ambiguous, I would like to change the style of DataTables menus.
Comment 1 Owen Leonard 2019-02-04 19:30:32 UTC
Created attachment 84750 [details] [review]
Bug 22261: Revise style of DataTables menus

This patch revises our custom DataTables CSS to give a more colorful
style to the columns configuration and export menus. The primary goal of
this change is to make it easier to tell which columns are visible and
which are hidden.

To test, apply the patch and clear your browser cache if necessary.

View a table with columns configuration and export options, e.e. Tools
-> Notices & slip. Test the DataTables menus and confirm that they work
as expected.
Comment 2 Liz Rea 2019-02-07 18:00:44 UTC
Created attachment 84856 [details] [review]
Bug 22261: Revise style of DataTables menus

This patch revises our custom DataTables CSS to give a more colorful
style to the columns configuration and export menus. The primary goal of
this change is to make it easier to tell which columns are visible and
which are hidden.

To test, apply the patch and clear your browser cache if necessary.

View a table with columns configuration and export options, e.e. Tools
-> Notices & slip. Test the DataTables menus and confirm that they work
as expected.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
This is a nice update to the styles.
Comment 3 José-Mario Monteiro-Santos 2019-02-08 19:39:31 UTC
Created attachment 84893 [details] [review]
Bug 22261: Revise style of DataTables menus

This patch revises our custom DataTables CSS to give a more colorful
style to the columns configuration and export menus. The primary goal of
this change is to make it easier to tell which columns are visible and
which are hidden.

To test, apply the patch and clear your browser cache if necessary.

View a table with columns configuration and export options, e.e. Tools
-> Notices & slip. Test the DataTables menus and confirm that they work
as expected.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
This is a nice update to the styles.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>
Comment 4 Katrin Fischer 2019-02-09 19:27:12 UTC
Created attachment 84907 [details] [review]
Bug 22261: Revise style of DataTables menus

This patch revises our custom DataTables CSS to give a more colorful
style to the columns configuration and export menus. The primary goal of
this change is to make it easier to tell which columns are visible and
which are hidden.

To test, apply the patch and clear your browser cache if necessary.

View a table with columns configuration and export options, e.e. Tools
-> Notices & slip. Test the DataTables menus and confirm that they work
as expected.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
This is a nice update to the styles.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-02-22 15:08:15 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-26 10:00:08 UTC
Enhancement, will not be backported to 18.11.x series.